Package org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.LeafNode

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode
  - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`, `ContainerItemProvider.Node`
  Direct Known Subclasses:
    `ContainerItemProvider.FixedChildrenNode`
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public class ContainerItemProvider.LeafNode
      extends ContainerItemProvider.AbstractNode
      implements IListener

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `NO_CHILDREN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LeafNode​(ContainerItemProvider.Node parent, java.lang.Object element)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `java.util.List<ContainerItemProvider.Node>` | `getChildren()` |
    `java.lang.Object` | `getElement()` |
    `void` | `notifyEvent​(IEvent event)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

      `addChild, checkNotDisposed, disposeChildren, getParent, getTreePath, hasChildren, isDisposed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LeafNode

          public LeafNode​(ContainerItemProvider.Node parent,
                          java.lang.Object element)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ContainerItemProvider.Node`
      Overrides:
        `dispose` in class `ContainerItemProvider.AbstractNode`

    - #### getElement

          public java.lang.Object getElement()

      Specified by:
        `getElement` in interface `ContainerItemProvider.Node`

    - #### getChildren

          public java.util.List<ContainerItemProvider.Node> getChildren()

      Specified by:
        `getChildren` in interface `ContainerItemProvider.Node`

    - #### notifyEvent

          public void notifyEvent​(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`